httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Noel Butler <noel.but...@ausics.net>
Subject Re: [users@httpd] Stable Version of Httpd
Date Tue, 28 Feb 2012 06:05:39 GMT
On Tue, 2012-02-28 at 11:01 +0530, Harsimranjit singh Kler wrote:

> Hi
> 
> i am currently using httpd 2.2.17. i want to upgrade to newer higher
> version.
> 
> Please let me know which one stable version and i can use for long
> time.(mainly i have to use modjk and ssl support)
> 
> regards
> Harsimran


2.4.1 is current stable version, transition to 2.4 from 2.2 is fairly
painless, some things have changed,
remove NameVirtualHost, SSLMutex, LockFile settings, if you build from
source with no specific MPM, by default you;ll use the event MPM,  it's
not a problem, but if you used to use prefork and start with 20
servers,upgrade and only see 5 or 6, thats why, but its nothing to worry
about, it scales well itself.

You will need to rebuild all external modules of course given its a new
major (like php, mod_perl etc)



Mime
View raw message